#!/bin/bash

package=sqlite
version=-3.7.8

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXTPARALLELBUILDING ../.. $*

prefix=$GEXTPARALLELBUILDING_INSTALLED

if [ ! -e "$GEXTPARALLELBUILDING_INSTALLED/bin/sqlite3" ]
  then
    opt_run_untar $force_untar $auto_untar $package $version
    opt_run_configure $force_config $auto_config $package $version $prefix

    opt_run_make $compile   $package $version
    opt_run_make $install   $package $version "install"
    opt_run_make $clean     $package $version "clean"
    opt_run_make $distclean $package $version "distclean"

    opt_run_tarclean $tarclean $package $version
  else
    echo "SQLite$version already compiled => no need to recompile"
fi






